Bug 61426 - Bibliography "type" field is different from that in database
Summary: Bibliography "type" field is different from that in database
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 63511 (view as bug list)
Depends on:
Blocks: Bibliography
  Show dependency treegraph
 
Reported: 2013-02-25 06:55 UTC by John Talbut
Modified: 2017-09-01 11:17 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Talbut 2013-02-25 06:55:43 UTC
In the bibliography index/table it is necessary to have a “Type” allocated to each entry in order that the correct format can be applied for the entry in the bibliography. For example a book entry would have different items in it from a Book excerpt or a Journal entry. There is a “Type” field in the bibliography database but entering anything in this field, either in the external database or via Tools > Bibliography Database has no effect on the entry format. Also, in the form opened by Tools > Bibliography Database there is no entry box after “Type”.

It seems that the only way to enter a Type is to go to a reference to the item in the document text, right click on it, click on Bibliography Entry, an Edit Bibliography Entry dialogue comes up, click on Edit and a Define Bibliography Entry dialogue come up in which the Type can be selected from a drop down list. Click OK and click modify. If you have changed anything it asks if you want to alter the existing record.
Comment 1 Jorendc 2013-11-18 18:32:52 UTC
Thanks for reporting!

I can reproduce this behavior. I tested using Mac OSX 10.9 and Version: 4.2.0.0.alpha1+ Build ID: 868103846b9b32bfecd77c08055fdca69d0265c2
TinderBox: MacOSX-x86@48-TDF, Branch:master, Time: 2013-11-14_23:51:46

How to reproduce:
* Download a test document (don't mind the content, it's an attachment from another bug) https://bugs.freedesktop.org/attachment.cgi?id=58716
* In the file place your cursor behind a word.
* Insert > Indexes and tables > Bibliography Entry...
* Select "From bibliography database" and in the selection menu at the bottom "ARJ00"
* Click on 'Edit' and mind that the Type of this entry is 'Book'

Behavior: the entry is inserted behind the word you placed your cursor in previous step. All good

* Go to Tools > Bibliography database
* In the list you'll see "ARJ00"
* Change the "type" of this entry (ARJ00) to for example '2'
* Close database window
* Double click on the entry (ARJ00) in your text
* Click Edit
* The "Type" of this entry is still 'Book'

Kind regards,
Joren
Comment 2 Owen Genat (retired) 2014-01-27 07:20:45 UTC
*** Bug 63511 has been marked as a duplicate of this bug. ***
Comment 3 Alex Thurgood 2015-01-03 17:40:40 UTC Comment hidden (no-value)
Comment 4 Edmund Laugasson 2015-03-07 21:04:41 UTC
https://bugs.documentfoundation.org//show_bug.cgi?id=61426
Bug 61426 - Bibliography "type" field is different from that in database

Using 64-bit Ubuntu 14.04.2 LTS with LibreOffice 4.4.1.2 Build ID: 40m0(Build:2)

When inserting bibliographic entry by creating it from document content, it will be saved only into current file as hidden field and not the main database (~/.config/libreoffice/4/user/database/biblio.odb). 

First notice:
* Open new document
* Insert > Indexes and tables > Bibliography Entry...
* by default is ARJ00 activated fom bibliographic database
* when I click "Edit" - its editing will be opened
* if I change "Type" something else than current (by default "Book") and press "OK" - it will activate "From document content" and makes "ARJ00" entry also there.
* when I click "Insert" I will get empty square brackets because the entry is empty.

I would expect that there remains bibliographic database and not created new entry "From document content". This is actually a problem.

When I delete that empty entry and try insert again new entry then this empty entry is disappeared.

But if I first add the bibliographic entry with default settings and then open it by double-clicking on it and then change the "Type" and pressing "Apply" it asks "The document already contains the bibliographic entry but with different data. Do you want to adjust the existing entries?" and choices are "Yes" or "No". If to press "Yes" then the "Type" will be changed. After that reopening and checking shows that type has been changed. SO the trick is that do not change the type when inserting but insert first and then reopen and change the type - then it works.

But opening Tools->Bibliography Database there is no types in pull-down menus when to activate ARJ00 row and all types in database are 1. Later I discovered that suddenly there were types seen in pull-down menus as well but why they was not before - not clear.

Also when to change the type from menu below the table inside Bibliography Database then it just will not change the type in table. But this seems to be a little tricky challenge. It will change but you have to notice the small pen icon in the beginning of row and then right-click with mouse on that pen and choose "Save record". Then it is saved. This pen icon appears when you click once on the changed row (in whatever place on that row). After that you can right-click and save the record. After saving also the type number will be corrected in table according choosed type from pull-down menu below. After that also when insert the entry into Writer and click "Edit" then the type is correct - this means there is the type I set previously.

So - there is possible to save those changes in Bibliography Database but it seems to be a little bit tricky and you have to discover yourself those ways how it works.

It would be nice if we could use LibreOffice as a serious and rock solid scientific article writing tool. Currently it seems that is not possible due to fact that there is no referency style support like http://en.wikipedia.org/wiki/Citation#Styles

I guess I will make separate improvement idea.
Comment 5 Edmund Laugasson 2015-05-23 22:05:46 UTC
The feature request has been filed as Bug 91551.
Comment 6 QA Administrators 2017-09-01 11:17:16 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170901